package com.symbol.elearningapp.service;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.util.List;

public class ClassDetail {

    @SerializedName("id")
    @Expose
    private String id;
    @SerializedName("subject")
    @Expose
    private String subject;
    @SerializedName("date")
    @Expose
    private String date;
    @SerializedName("classTime")
    @Expose
    private String classTime;
    @SerializedName("listStd")
    @Expose
    private List<StudentDetails> listStd = null;


    public ClassDetail(String id, String subject, String date, String classTime, List<StudentDetails> listStd) {
        this.id = id;
        this.subject = subject;
        this.date = date;
        this.classTime = classTime;
        this.listStd = listStd;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }

    public String getClassTime() {
        return classTime;
    }

    public void setClassTime(String classTime) {
        this.classTime = classTime;
    }

    public List<StudentDetails> getListStd() {
        return listStd;
    }

    public void setListStd(List<StudentDetails> listStd) {
        this.listStd = listStd;
    }

}
